Bug 1900020 - Remove ' from internationalized keys
Summary: Remove ' from internationalized keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-20 15:44 UTC by ralpert
Modified: 2021-02-24 15:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Keys contained apostrophe codes. Fix: Codes were replaced with apostrophes. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:35:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7286 0 None closed Bug 1900020: Remove &apos from internationalized keys 2021-01-20 15:05:27 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:35:33 UTC

Description ralpert 2020-11-20 15:44:43 UTC
Description of problem:
A couple of keys have ' in them instead of apostrophes. 

These are:
* "No new Pods or workloads will be placed on this Node until it's marked as schedulable." in frontend/packages/console-app/locales/en/nodes.json - used in frontend/packages/console-app/src/components/nodes/popovers/MarkAsSchedulablePopover.tsx.
* "TLS certificates for edge and re-encrypt termination. If not specified, the router's default certificate is used." in frontend/packages/dev-console/locales/en/devconsole.json - used in frontend/packages/dev-console/src/components/import/route/SecureRoute.tsx.

We shouldn't have ' in the keys; the text needs to be updated and yarn i18n needs to be run.

Version-Release number of selected component (if applicable):
4.7 

How reproducible:
Always

Actual results:
' is present in the keys.

Expected results:
There shouldn't be an ' in the keys.

Additional info:
This issue was raised by translation.

Comment 2 Yadan Pei 2020-11-27 02:45:17 UTC
fix is not included in 4.7.0-0.nightly-2020-11-26-201843 yet

Comment 3 Yanping Zhang 2020-12-07 08:44:01 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2020-12-04-013308.
Go to developer console, click "+Add" -> "From Catalog", add "?pseudolocalization=true&lng=en" in the end of the url, then choose a image to create app, on the creation page, choose secure the route, and select "Edge" termination type, check the strings: " ḬḬϝ ṇṓṓţ ṡṗḛḛͼḭḭϝḭḭḛḛḍ, ţḥḛḛ ṛṓṓṵṵţḛḛṛ'ṡ ḍḛḛϝααṵṵḽţ ͼḛḛṛţḭḭϝḭḭͼααţḛḛ ḭḭṡ ṵṵṡḛḛḍ.]", the "&apos" is removed now.
The bug is fixed.

Comment 6 errata-xmlrpc 2021-02-24 15:35:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.